[Deprecated]: v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/orders-inventory/audit

Deprecated: Retrieves all order items.
Rights: OrsInventoryGet, OrsUnblinded.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : OrderItemResponse
Type: object
Title: OrderItemResponse
Contains order items in paginated format.
Show Source
Nested Schema : resultData
Type: array
Paginated result data for the current page. The concrete type depends on the API and typically is an array or list of DTOs.
Show Source
Example:
[
    {
        "ruleId":"8E2253D8E53A4A46BAE3E4952CBE9E5A"
    }
]
Nested Schema : OrderItemTO v1.0
Type: object
Title: OrderItemTO v1.0
Contains order item details.
Show Source
Example:
[
    {
        "ruleId":"8E2253D8E53A4A46BAE3E4952CBE9E5A"
    }
]
Examples

400 Response

Bad request.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

404 Response

Invalid study ID
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Result Object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top